
QGIS Application - Bug report #3786

in the composer, map labels and symbols defined in points/mm should be scaled on-screen to match 

the page size

2011-04-28 04:58 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category:

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13844

Description

When feature labels have their size defined in points instead of map units (new labelling engine; I haven't tried with the old) and symbols

have their size defined in mm instead of map units (both new and old symbology):

The labels and symbols are displayed the same size in the composer as in the map view.  If I use the buttons to zoom in and out in the

composer (and make sure that the view is refreshed), they always stay the same size on the screen.  They should instead be displayed

correctly in relation to the layout size.  If I print out the composer layout and move it towards me, the text appears to get bigger just as the

paper does.  The same should apply on-screen when using the zoom buttons in the composer.

History

#1 - 2011-11-09 05:31 AM - Regis Haubourg

Hi All, users in my company are very annoyed with this problem. We often print A0 posters, and this missing feature is really a pain. 

Has anyone tried to diagnose if it is a simple bug or a major issue? I'm interested in contributing to it, i'm not a developper, but I have a budget to have

someone work on it .

Furthermore, the new advanced labeling allow users to manually place labels. The impact of this is that users need to check that labels are correctly

located in paper units inside the composer. Like in mapinfo, users are forced to open composer and map windows side by side. Quite heavy solution. Has

anyone discussed of creating a "paper unit" projection inside the main map window, which is the equivalent of what is done in Arcgis? Defining label in

point units should then display in paper size on screen. It implies also that the map frame extent in the composer should be displayed inside the map

canvas.. a lot to specifie though.. Anyone interested around this?

#2 - 2011-11-09 05:36 AM - Giovanni Manghi

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

regis regis wrote:

I'm interested in contributing to it, i'm not a developper, but I have a budget to have someone work on it .

then write to the address at the bottom of this page

http://www.qgis.org/wiki/Bugs

thanks
#3 - 2011-12-08 02:51 PM - Alister Hood

- Status changed from Open to Closed

- Resolution set to fixed

Fixed in trunk.  Thanks Marco :)

#4 - 2011-12-08 02:53 PM - Alister Hood

- Resolution deleted (fixed)

please ignore this - I'm just testing something with redmine

#5 - 2011-12-08 02:54 PM - Alister Hood

- Resolution set to fixed
